--- old/usr/src/lib/libm/common/LD/tanhl.c	2014-05-04 03:05:41.590737174 +0200
+++ new/usr/src/lib/libm/common/LD/tanhl.c	2014-05-04 03:05:41.620104634 +0200
@@ -60,6 +60,7 @@
  */
 
 #include "libm.h"
+#include "longdouble.h"
 
 static const long double small = 1.0e-20L, one = 1.0, two = 2.0,
 #ifndef lint
@@ -71,6 +72,7 @@
 tanhl(long double x) {
 	long double t, y, z;
 	int signx;
+	volatile long double dummy;
 
 	if (isnanl(x))
 		return (x + x);		/* x is NaN */
@@ -85,7 +87,7 @@
 			z = -y / (y + two);
 		} else {
 #ifndef lint
-			volatile long double dummy = t + big;
+			dummy = t + big;
 							/* inexact if t != 0 */
 #endif
 			return (x);
